Assign role to group
POST
/groups/{groupName}/roles
const url = 'https://shoehorn.example.com/api/v1/groups/example/roles';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"role":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shoehorn.example.com/api/v1/groups/example/roles \ --header 'Content-Type: application/json' \ --data '{ "role": "example" }'Maps a role to an IdP group. All users in the group receive this role.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” groupName
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
role
required
string
Example generated
{ "role": "example"}Responses
Section titled “ Responses ”Role assigned to group